Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.flow
Interface FlowControllerDescription

All Superinterfaces:
  Cloneable, MetaDataObject, ResourceCreationSpecifier, ResourceSpecifier, Serializable, XMLizable

    public interface FlowControllerDescription

extends ResourceCreationSpecifier

A `FlowControllerDescription` contains all of the information needed to instantiate and use a `FlowController`.

Method Summary
`ProcessingResourceMetaData` | `getFlowControllerMetaData()` Retrieves the metadata that describes the FlowController.

Methods inherited from interface org.apache.uima.resource.ResourceCreationSpecifier
`doFullValidation, doFullValidation, getExternalResourceDependencies, getExternalResourceDependency, getFrameworkImplementation, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setFrameworkImplementation, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate`

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getFlowControllerMetaData

    ProcessingResourceMetaData getFlowControllerMetaData()

  Retrieves the metadata that describes the FlowController.

  Returns:
    the `ProcessingResourceMetaData` object containing the FlowController's metadata. This object can be modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.